Package org.apache.datasketches.hive.cpc

## Class UnionSketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.cpc.UnionSketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

    public class UnionSketchUDAF
    extends org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

Hive UDAF to compute union of HllSketch objects

### Nested Class Summary

Nested Classes
`static class` `UnionSketchUDAF.UnionSketchUDAFEvaluator` Evaluator class, main logic of our UDAF.

### Constructor Summary

Constructors
`UnionSketchUDAF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)` Perform argument count check and argument type checking, returns an appropriate evaluator to perform based on input type (which should always be BINARY sketch).

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionSketchUDAF

    public UnionSketchUDAF()

### Method Detail

#### getEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)
                                                                            throws org.apache.hadoop.hive.ql.parse.SemanticException

Perform argument count check and argument type checking, returns an appropriate evaluator to perform based on input type (which should always be BINARY sketch). Also check lgK and seed parameters if they are passed in.

Specified by:
  `getEvaluator` in interface `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`
Overrides:
  `getEvaluator` in class `org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver`
Parameters:
  `info` - The parameter info to validate
Returns:
  The GenericUDAFEvaluator to use to compute the function.
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException`
See Also:
  `#getEvaluator(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo)`